AbstractLobCreator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc
Class AbstractLobCreator

    java.lang.Object
      org.hibernate.engine.jdbc.AbstractLobCreator

All Implemented Interfaces:
  LobCreator

Direct Known Subclasses:
  ContextualLobCreator, NonContextualLobCreator

    public abstract class AbstractLobCreator

extends Object
implements LobCreator

Convenient base class for proxy-based LobCreator for handling wrapping.

Constructor Summary
`AbstractLobCreator()`

Method Summary
`Blob` | `wrap(Blob blob)` Wrap the given blob in a serializable wrapper.
`Clob` | `wrap(Clob clob)` Wrap the given clob in a serializable wrapper.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.engine.jdbc.LobCreator
`createBlob, createBlob, createClob, createClob, createNClob, createNClob`

Constructor Detail

### AbstractLobCreator

    public AbstractLobCreator()

Method Detail

### wrap

    public Blob wrap(Blob blob)

  Wrap the given blob in a serializable wrapper.

  Specified by:
    `wrap` in interface `LobCreator`
  Parameters:
    `blob` - The blob to be wrapped.
  Returns:
    The wrapped blob which will be castable to `Blob` as well as `WrappedBlob`.

### wrap

    public Clob wrap(Clob clob)

  Wrap the given clob in a serializable wrapper.

  Specified by:
    `wrap` in interface `LobCreator`
  Parameters:
    `clob` - The clob to be wrapped.
  Returns:
    The wrapped clob which will be castable to `Clob` as well as `WrappedClob`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.